Class
Map
Set/dictionary container.

Map

Skiplist | VectorSet

Map<TValue, TSpec >
Include Headers
seqan/map.h
Parameters

TValue | Type of values that are stored in the map. Metafunctions: Value Remarks: Use a Pair<Key, Cargo> to implement a dictionary mapping from Key to Cargo.
TSpec | The specializing type. Metafunctions: Spec Default: Skiplist

Specializations

Skiplist | General purpose map container.
VectorSet | A fast map for small key types.

Metafunctions

MapValue | Type of the map value type.

Functions

begin | The begin of a container.
cargo | Returns a cargo given a key.
end | The end of a container.
erase | Removes a value from a map.
find | Find a value in a map.
hasKey | Determines whether a map contains a value given key.
insert | Insert new value into map.
length | The number of items/characters.
mapValue | Subscript operator [ ] of maps.
value | Returns a value given a key.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:45